# SPDX-FileCopyrightText: no
# SPDX-License-Identifier: CC0-1.0
#
# Creates /etc/fstab and /etc/crypttab in the target system.
# Also creates mount points for all the filesystems.
#
# When creating fstab entries for a filesystem, this module
# uses the options previously defined in the mount module
---

# Additional options added to each line in /etc/crypttab
crypttabOptions: luks
# For Debian and Debian-based distributions, change the above line to:
# crypttabOptions: luks,keyscript=/bin/cat

# Options for handling /tmp in /etc/fstab
# Currently default (required) and ssd are supported
# The corresponding string can contain the following variables:
# tmpfs: true or tmpfs: false to either mount /tmp as tmpfs or not
# options: "<mount options>"
#
# Example:
#tmpOptions:
#    default:
#        tmpfs: false
#        options: ""
#    ssd:
#        tmpfs: true
#        options: "defaults,noatime,mode=1777"
#
mountOptions:
    default: defaults,noatime
    btrfs: defaults,noatime,noautodefrag,compress=zstd
    btrfs_swap: defaults,noatime

efiMountOptions: umask=0077

ssdExtraMountOptions:
    btrfs: discard=async,ssd
    